oracle.jdbc

## Enum OracleConnection.DRCPState

- java.lang.Object
- - java.lang.Enum<OracleConnection.DRCPState>
  - - oracle.jdbc.OracleConnection.DRCPState

All Implemented Interfaces:
  Serializable, Comparable<OracleConnection.DRCPState>

Enclosing interface:
  OracleConnection

    public static enum OracleConnection.DRCPState
    extends Enum<OracleConnection.DRCPState>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`ATTACHED_EXPLICIT` The connection is attached after making an explict request for a tagged server process.
`ATTACHED_IMPLICIT` The connection is attached after making an implicit request for a server process.
`DETACHED` The connection is not attached to a server process.

### Method Summary

All Methods Static Methods Concrete Methods
`static OracleConnection.DRCPState` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static OracleConnection.DRCPState[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### DETACHED

    public static final OracleConnection.DRCPState DETACHED

The connection is not attached to a server process.

#### ATTACHED_IMPLICIT

    public static final OracleConnection.DRCPState ATTACHED_IMPLICIT

The connection is attached after making an implicit request for a server process.

An implicit request occurs when a detached connection makes a round trip to the database.

Note that a connection can remain detached even after calling `OracleConnection.attachServerConnection()`. attachServerConnection only performs an explict attach when a tag has been set via `OracleConnection.detachServerConnection(java.lang.String)` or `OracleConnection.CONNECTION_PROPERTY_DRCP_TAG_NAME`

#### ATTACHED_EXPLICIT

    public static final OracleConnection.DRCPState ATTACHED_EXPLICIT

The connection is attached after making an explict request for a tagged server process.

### Method Detail

#### values

    public static OracleConnection.DRCPState[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (OracleConnection.DRCPState c : OracleConnection.DRCPState.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static OracleConnection.DRCPState valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

Copyright © 2008, 2020, Oracle and/or its affiliates. All rights reserved.